HostParams (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.params.HostParams class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient.params
Class HostParams

    java.lang.Object
      org.apache.commons.httpclient.params.DefaultHttpParams
          org.apache.commons.httpclient.params.HostParams

All Implemented Interfaces:
  Serializable, Cloneable, HttpParams

    public class HostParams

extends DefaultHttpParams

This class represents a collection of HTTP protocol parameters applicable to `instances of HostConfiguration`. Protocol parameters may be linked together to form a hierarchy. If a particular parameter value has not been explicitly defined in the collection itself, its value will be drawn from the parent collection of parameters.

Since:
  3.0
Version:
  $Revision: 480424 $
Author:
  Oleg Kalnichevski
See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_HEADERS` Defines the request headers to be sent per default with each request.

Constructor Summary
`HostParams()` Creates a new collection of parameters with the collection returned by `DefaultHttpParams.getDefaultParams()` as a parent.
`HostParams(HttpParams defaults)` Creates a new collection of parameters with the given parent.

Method Summary
`String` | `getVirtualHost()` Returns the virtual host name.
`void` | `setVirtualHost(String hostname)` Sets the virtual host name.

Methods inherited from class org.apache.commons.httpclient.params.DefaultHttpParams
`clear, clone, getBooleanParameter, getDefaultParams, getDefaults, getDoubleParameter, getIntParameter, getLongParameter, getParameter, isParameterFalse, isParameterSet, isParameterSetLocally, isParameterTrue, setBooleanParameter, setDefaults, setDoubleParameter, setHttpParamsFactory, setIntParameter, setLongParameter, setParameter, setParameters`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_HEADERS

    public static final String DEFAULT_HEADERS

  Defines the request headers to be sent per default with each request.

  This parameter expects a value of type `Collection`. The collection is expected to contain `Header`s.

  See Also:
    Constant Field Values

Constructor Detail

### HostParams

    public HostParams()

  Creates a new collection of parameters with the collection returned by `DefaultHttpParams.getDefaultParams()` as a parent. The collection will defer to its parent for a default value if a particular parameter is not explicitly set in the collection itself.

  See Also:
    `DefaultHttpParams.getDefaultParams()`

### HostParams

    public HostParams(HttpParams defaults)

  Creates a new collection of parameters with the given parent. The collection will defer to its parent for a default value if a particular parameter is not explicitly set in the collection itself.

  Parameters:
    `defaults` - the parent collection to defer to, if a parameter is not explictly set in the collection itself.
  See Also:
    `DefaultHttpParams.getDefaultParams()`

Method Detail

### setVirtualHost

    public void setVirtualHost(String hostname)

  Sets the virtual host name.

  Parameters:
    `hostname` - The host name

### getVirtualHost

    public String getVirtualHost()

  Returns the virtual host name.

  Returns:
    The virtual host name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.